<?php

// Gibt den Transportstatus eines Jobs zurück


require_once '../config.inc.php';
require_once 'Teamnet/Fax/Soap/Client/Job.php';


// Die JobID, von welcher wir die Informationen ermitteln möchten
// Wird vom Aufrufer übergeben
$iJobID = (isset($_REQUEST['jobid']) && !empty($_REQUEST['jobid']))
		? $_REQUEST['jobid'] : null;


// Neues FaxJob Client Objekt
$oFaxJob = new Teamnet_Fax_Soap_Client_Job( FAX_JOB_WSDL, FAX_AUTHKEY );


try {

	echo 'Status des Jobs '.$iJobID.' : '.$oFaxJob->getTransportStatus($iJobID);

} catch (JobNotFoundException  $e) {
	echo 'Ein Job mit der ID '.$iJobID.' konnte nicht gefunden werden';
} catch (ParameterException $e) {
	echo 'Parameter '.$e->parameter.': '.$e->getMessage();
} catch (AuthentificationException $e) {
	echo $e->getMessage();
} catch (ServiceException $e) {
	echo 'Der Fax-API Endpunkt meldet einen internen Fehler: '.
		 $e->getMessage();
} catch (MaintenanceException $e) {
	echo 'Wartungsarbeiten am API-Endpunkt: '.$e->getMessage();
}